import java.util.ArrayList;
import java.util.List;

public class TSSClause {
	private String clauseName;
	private List<String> testCases = new ArrayList<String>();

	public String getClauseName() {
		return clauseName;
	}

	public void setClauseName(String clauseName) {
		this.clauseName = clauseName;
	}

	public List<String> getTestCases() {
		return testCases;
	}

	public void addTestCase(String name) {
		testCases.add(name);
	}
	
	public void setTestCases(List<String> testCases) {
		this.testCases = testCases;
	}

	@Override
	public String toString() {
		return "TSSClause [clauseName=\n" + clauseName + ", \ntestCases=\n"
				+ testCases + "]";
	}

}
